<!-- @format -->

<template>
  <div class="app-container">
    <BmatterClass
      v-model:materialCalssId="materialCalssId"
      @handleSubmit="handleSubmit"
      :isDisabled="false"
      :is="activeCom"
    ></BmatterClass>
  </div>
</template>
<script setup>
import AmatterClass from "@/components/AmatterClass/index";
import BmatterClass from "@/components/BmatterClass/index";
import { useRoute } from "vue-router";

const route = useRoute();
const activeCom = ref(BmatterClass);
const materialCalssId = ref(null);
const handleSubmit = () => {};

if (route.query.materialCalssId != undefined) {
  materialCalssId.value = route.query.materialCalssId;
}

defineOptions({
  name: "materialApplication",
});
</script>
<style lang="scss" scoped>
.steps {
  width: 80%;
  margin: 0 auto;
}
.buttonGrounp {
  width: 100%;
  display: flex;
  justify-content: center;
}
</style>
